Bug 186850 - science/netcdf : make texinfo5 compatible
Summary: science/netcdf : make texinfo5 compatible
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-17 18:10 UTC by Christoph Moench-Tegeder
Modified: 2014-05-04 16:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2014-02-17 18:10:00 UTC
	the build of science/netcdf4 fails when a current texinfo
	(print/texinfo) precedes the base texinfo in $PATH.

Fix: Three texi files have to be fixed:

svn status
A       files/patch-man4-netcdf-c.texi
A       files/patch-man4-netcdf-f77.texi
A       files/patch-man4-netcdf-f90.texi

svn diff


Regards,
Christoph--eewWo82XWNh8H6UBcUNLFhsSWUaWg5KElS5fxKe66DIzjEMi
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: files/patch-man4-netcdf-c.texi
===================================================================
--- files/patch-man4-netcdf-c.texi	(revision 0)
+++ files/patch-man4-netcdf-c.texi	(working copy)
@@ -0,0 +1,53 @@
+--- man4/netcdf-c.texi.orig	2014-02-17 18:36:15.000000000 +0100
++++ man4/netcdf-c.texi	2014-02-17 18:52:28.000000000 +0100
+@@ -1723,12 +1723,10 @@
+ 
+ @item NC_NOERR
+ No error.
+-
+-@item
+-The specified netCDF dataset does not exist. 
+-
+-@item
+-A meaningless mode was specified. 
++@itemize @bullet
++@item The specified netCDF dataset does not exist. 
++@item A meaningless mode was specified. 
++@end itemize
+ 
+ @end table
+ 
+@@ -3130,7 +3128,6 @@
+ Pointer to allocated space of correct length. The name of the
+ group will be copied there. The name will be less than NC_MAX_NAME,
+ not including a terminating NULL byte.
+-@item
+ 
+ @end table
+ 
+@@ -3201,8 +3198,6 @@
+ nc_inq_grpname_len call this function with NULL for the full_name
+ parameter, or call (@pxref{nc_inq_grpname_len}).
+ 
+-@item
+-
+ @end table
+ 
+ @heading Errors
+@@ -3326,7 +3321,6 @@
+ 
+ @item parent_ncid
+ Pointer to an int. The ncid of the group will be copied there.
+-@item
+ 
+ @end table
+ 
+@@ -8726,7 +8720,7 @@
+ int nc_put_varm       (int ncid, int varid,  const size_t *startp, 
+                        const size_t *countp, const ptrdiff_t *stridep,
+                        const ptrdiff_t *imapp, const void *op);
+-n@end example
++@end example
+ 
+ @table @code
+ 
Index: files/patch-man4-netcdf-f77.texi
===================================================================
--- files/patch-man4-netcdf-f77.texi	(revision 0)
+++ files/patch-man4-netcdf-f77.texi	(working copy)
@@ -0,0 +1,10 @@
+--- man4/netcdf-f77.texi.orig	2014-02-17 18:53:44.000000000 +0100
++++ man4/netcdf-f77.texi	2014-02-17 18:54:02.000000000 +0100
+@@ -2570,7 +2570,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 
Index: files/patch-man4-netcdf-f90.texi
===================================================================
--- files/patch-man4-netcdf-f90.texi	(revision 0)
+++ files/patch-man4-netcdf-f90.texi	(working copy)
@@ -0,0 +1,19 @@
+--- man4/netcdf-f90.texi.orig	2014-02-17 18:54:10.000000000 +0100
++++ man4/netcdf-f90.texi	2014-02-17 18:56:51.000000000 +0100
+@@ -2082,7 +2082,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF90_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 
+@@ -6979,7 +6978,7 @@
+ @node FORTRAN 77 to Fortran 90 Transition Guide, Combined Index, Summary of Fortran 90 Interface, Top
+ @appendix Appendix B - FORTRAN 77 to Fortran 90 Transition Guide
+ 
+-@unnumberedsubsec The new Fortran 90 interface 
++@unnumberedsec The new Fortran 90 interface 
+ 
+ The Fortran 90 interface to the netCDF library closely follows the
+ FORTRAN 77 interface. In most cases, function and constant names and
Comment 1 Edwin Groothuis freebsd_committer 2014-02-17 18:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-05-03 18:27:28 UTC
State Changed
From-To: open->feedback

science/netcdf* were updated. Please confirm if this patch is still 
required? Thanks!
Comment 3 Christoph Moench-Tegeder freebsd_committer 2014-05-03 20:28:17 UTC
Hi,

the offending texinfo files moved to netcdf-fortran, but they're
still there:
: ./netcdf-f90.texi:2085: warning: @item missing argument
: ./netcdf-f90.texi:6982: raising the section level of @unnumberedsubsec which is too low
: *** Error code 1

So, we'll need the following patch for science/netcdf-fortran:
Is it ok to keep that here or do you need a new PR for that?

svn status:
A       files
A       files/patch-man4-netcdf-f77.texi
A       files/patch-man4-netcdf-f90.texi
svn diff:
Index: files/patch-man4-netcdf-f77.texi
===================================================================
--- files/patch-man4-netcdf-f77.texi	(revision 0)
+++ files/patch-man4-netcdf-f77.texi	(working copy)
@@ -0,0 +1,10 @@
+--- man4/netcdf-f77.texi.orig	2014-05-03 21:18:01.000000000 +0200
++++ man4/netcdf-f77.texi	2014-05-03 21:18:21.000000000 +0200
+@@ -2570,7 +2570,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 
Index: files/patch-man4-netcdf-f90.texi
===================================================================
--- files/patch-man4-netcdf-f90.texi	(revision 0)
+++ files/patch-man4-netcdf-f90.texi	(working copy)
@@ -0,0 +1,19 @@
+--- man4/netcdf-f90.texi.orig	2014-05-03 21:14:29.000000000 +0200
++++ man4/netcdf-f90.texi	2014-05-03 21:15:34.000000000 +0200
+@@ -2082,7 +2082,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF90_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 
+@@ -6979,7 +6978,7 @@
+ @node FORTRAN 77 to Fortran 90 Transition Guide, Combined Index, Summary of Fortran 90 Interface, Top
+ @appendix Appendix B - FORTRAN 77 to Fortran 90 Transition Guide
+ 
+-@unnumberedsubsec The new Fortran 90 interface 
++@unnumberedsec The new Fortran 90 interface 
+ 
+ The Fortran 90 interface to the netCDF library closely follows the
+ FORTRAN 77 interface. In most cases, function and constant names and


Regards,
Christoph

-- 
Spare Space
Comment 4 dfilter service freebsd_committer 2014-05-04 16:31:42 UTC
Author: sunpoet
Date: Sun May  4 15:31:38 2014
New Revision: 352961
URL: http://svnweb.freebsd.org/changeset/ports/352961
QAT: https://qat.redports.org/buildarchive/r352961/

Log:
  - Fix build when print/texinfo installed
  - Bump PORTREVISION for package change
  
  PR:		ports/186850
  Submitted by:	Christoph Moench-Tegeder <cmt@burggraben.net>

Added:
  head/science/netcdf-fortran/files/
  head/science/netcdf-fortran/files/patch-man4-netcdf-f77.texi   (contents, props changed)
  head/science/netcdf-fortran/files/patch-man4-netcdf-f90.texi   (contents, props changed)
Modified:
  head/science/netcdf-fortran/Makefile

Modified: head/science/netcdf-fortran/Makefile
==============================================================================
--- head/science/netcdf-fortran/Makefile	Sun May  4 15:31:11 2014	(r352960)
+++ head/science/netcdf-fortran/Makefile	Sun May  4 15:31:38 2014	(r352961)
@@ -3,7 +3,7 @@
 
 PORTNAME=	netcdf-fortran
 PORTVERSION=	4.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	science
 MASTER_SITES=	https://github.com/Unidata/${PORTNAME}/archive/ \
 		LOCAL/sunpoet

Added: head/science/netcdf-fortran/files/patch-man4-netcdf-f77.texi
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/netcdf-fortran/files/patch-man4-netcdf-f77.texi	Sun May  4 15:31:38 2014	(r352961)
@@ -0,0 +1,10 @@
+--- man4/netcdf-f77.texi.orig	2012-02-29 06:03:05.000000000 +0800
++++ man4/netcdf-f77.texi	2014-05-04 21:56:03.359920958 +0800
+@@ -2570,7 +2570,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 

Added: head/science/netcdf-fortran/files/patch-man4-netcdf-f90.texi
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/netcdf-fortran/files/patch-man4-netcdf-f90.texi	Sun May  4 15:31:38 2014	(r352961)
@@ -0,0 +1,19 @@
+--- man4/netcdf-f90.texi.orig	2012-02-29 06:03:05.000000000 +0800
++++ man4/netcdf-f90.texi	2014-05-04 21:57:31.569914537 +0800
+@@ -2082,7 +2082,6 @@
+ The name of the
+ group will be copied to this character array. The name will be less
+ than NF90_MAX_NAME in length.
+-@item
+ 
+ @end table
+ 
+@@ -6979,7 +6978,7 @@
+ @node FORTRAN 77 to Fortran 90 Transition Guide, Combined Index, Summary of Fortran 90 Interface, Top
+ @appendix Appendix B - FORTRAN 77 to Fortran 90 Transition Guide
+ 
+-@unnumberedsubsec The new Fortran 90 interface 
++@unnumberedsec The new Fortran 90 interface 
+ 
+ The Fortran 90 interface to the netCDF library closely follows the
+ FORTRAN 77 interface. In most cases, function and constant names and
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-05-04 16:31:50 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!